* PACKAGE DSTRT  
*
***********************************************************************
      SUBROUTINE STRTV      
     M         ( GDU   , GDV   , GDT   , GDPS  , GDQ   ,
     O           GDVOR , GDDIV ,
     C           EDEL  , UVFACT,
     W           WDVOR , WDDIV , WDT   , WDPI  , WDQ    )
*




* PACKAGE  ZXT10L32 !" 格子点数，波数 X-Z
*
      INTEGER     IMAX           !" 経度格子数
      INTEGER     JMAX           !" 緯度格子数
      INTEGER     IDIM           !" 経度配列サイズ
      INTEGER     JDIM           !" 緯度配列サイズ
      INTEGER     MMAX           !" 最大東西波数
      INTEGER     LMAX           !" 最大南北波数
      INTEGER     NMAX           !" 最大全波数
      INTEGER     MINT           !" 東西波数間隔
      INTEGER     KMAX           !" 鉛直層数
      INTEGER     KDIM           !" 鉛直配列サイズ
      INTEGER     NMDIM          !" 水平波数成分数
      INTEGER     JMXHF          !" JMAX/2+1
      INTEGER     NWORK          !" ワーク領域大きさ
*
      PARAMETER ( IMAX  = 32,     JMAX =  1,
     &            IDIM  = IMAX+1, JDIM = JMAX,
     &            MMAX  = 10,     LMAX =  0,    NMAX = MMAX, MINT = 1,
     &            KMAX  = 32,     KDIM = KMAX,
     &            NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-MMAX)
     &                  - (NMAX-LMAX)/MINT*(NMAX-LMAX+1),
     &            JMXHF = JMAX/2+1,
     &            NWORK = IDIM*JDIM*KMAX*12                       )

*
*   [MODIFY] 
      ReaL*8       GDU   ( IDIM*JDIM, KMAX )   
      ReaL*8       GDV   ( IDIM*JDIM, KMAX )   
      ReaL*8       GDT   ( IDIM*JDIM, KMAX )   
      ReaL*8       GDPS  ( IDIM*JDIM       )   
      ReaL*8       GDQ   ( IDIM*JDIM, KMAX )   
*
*   [OUTPUT] 
      ReaL*8       GDVOR ( IDIM*JDIM, KMAX )   
      ReaL*8       GDDIV ( IDIM*JDIM, KMAX )   
*
*   [INPUT] 
      ReaL*8       EDEL  ( NMDIM  )            
      ReaL*8       UVFACT( IDIM*JDIM )         
*
*   [WORK]
      ReaL*8       WDVOR ( NMDIM , KMAX     )  
      ReaL*8       WDDIV ( NMDIM , KMAX     )  
      ReaL*8       WDT   ( NMDIM , KMAX     )  
      ReaL*8       WDPI  ( NMDIM            )  
      ReaL*8       WDQ   ( NMDIM , KMAX     )  
*
*   [INTERNAL WORK] 
      INTEGER    IJ
*
*
*"         < 1. 渦度，発散スペクトル  >
*
      CALL GUV2VD
     O         ( WDVOR , WDDIV ,
     I           GDU   , GDV   ,
     C           UVFACT         )
*
*"         < 2. 温度 スペクトル  >
*
      CALL G2W
     O         ( WDT   ,
     I           GDT   ,
     I           '    ', 'POSO', KMAX )
*
*"         < 3. 気圧 スペクトル >
*
      DO 3100 IJ = 1, IDIM*JDIM
         GDPS ( IJ ) = LOG( GDPS( IJ ) )
 3100 CONTINUE
*
      CALL G2W
     O         ( WDPI  ,
     I           GDPS  ,
     I           '    ', 'POSO', 1    )
*
*"         < 4. 比湿 スペクトル  >
*
      CALL G2W
     O         ( WDQ   ,
     I           GDQ   ,
     I           '    ', 'POSO', KMAX  )
*
*"         < 5. 格子データ再作成 >
*
      CALL GENGD
     O         ( GDU   , GDV   , GDT   , GDPS  , GDQ   ,
     O           GDVOR , GDDIV ,
     I           WDVOR , WDDIV , WDT   , WDPI  , WDQ   ,
     C           EDEL  , UVFACT                         )
*
       RETURN
       END
